Package org.apache.drill.jdbc

# Class DrillConnectionConfig

java.lang.Object
org.apache.calcite.avatica.ConnectionConfigImpl
org.apache.drill.jdbc.DrillConnectionConfig

All Implemented Interfaces:
  `org.apache.calcite.avatica.ConnectionConfig`

public class DrillConnectionConfig extends org.apache.calcite.avatica.ConnectionConfigImpl

NOTE: DrillConnectionConfig will be changed from a class to an interface.

In the meantime, clients must not use the fact that `DrillConnectionConfig` currently extends `ConnectionConfigImpl`. They must call only methods declared directly in DrillConnectionConfig (or inherited Object).

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`org.apache.calcite.avatica.ConnectionConfigImpl.Converter<T>, org.apache.calcite.avatica.ConnectionConfigImpl.PropEnv`

## Field Summary

### Fields inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`BOOLEAN_CONVERTER, IDENTITY_CONVERTER, NUMBER_CONVERTER, properties`

## Constructor Summary

Constructors
Constructor
Description
`DrillConnectionConfig(Properties p)`

## Method Summary

Modifier and Type
Method
Description
`TimeZone`
`getTimeZone()`
`String`
`getZookeeperConnectionString()`
`boolean`
`isDirect()`
`boolean`
`isLocal()`
`boolean`
`isServerMetadataDisabled()`
`boolean`
`isServerPreparedStatementDisabled()`

### Methods inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`authentication, avaticaPassword, avaticaUser, enumConverter, factory, fetchSize, hostnameVerification, httpClientClass, httpClientFactory, kerberosKeytab, kerberosPrincipal, keyPassword, keystore, keystorePassword, parse, pluginConverter, schema, serialization, timeZone, transparentReconnectionEnabled, truststore, truststorePassword, url`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DrillConnectionConfig

public DrillConnectionConfig(Properties p)

## Method Details

### isLocal

public boolean isLocal()

### isDirect

public boolean isDirect()

### getZookeeperConnectionString

public String getZookeeperConnectionString()

### getTimeZone

public TimeZone getTimeZone()

### isServerPreparedStatementDisabled

public boolean isServerPreparedStatementDisabled()

### isServerMetadataDisabled

public boolean isServerMetadataDisabled()